Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Gone Away]python-updater rebuilds same packages every time
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
lyallp
Veteran
Veteran


Joined: 15 Jul 2004
Posts: 1263
Location: Adelaide/Australia

PostPosted: Sat Jun 15, 2013 4:35 am    Post subject: [Gone Away]python-updater rebuilds same packages every time Reply with quote

I have noticed in recent times that my 'Update' script, shown below, which invokes python-updater as one of the steps, rebuilds the same set of packages, every time. Even if no updates happened.

Something is slightly askew, can someone enlighten me as to what is wrong with my system?

UpdateScript
Code:
#!/bin/bash

ionice -c 3 -p $$
renice -n 10 -p $$
layman --sync ALL
emerge --sync  || emerge-webrsync
eix-update

# Some places, portage tmp is in the /portage tree, due to
# space constraints, which gets wiped every sync.
# Recreate the directory in a subshell, source the make.conf,
# so I don't pollute the
# variable space in this shell.
(
    source /etc/portage/make.conf
    if [ "${PORTAGE_TMPDIR}" != "" ]
    then
        if [ ! -d "${PORTAGE_TMPDIR}" ]
        then
            mkdir -p "${PORTAGE_TMPDIR}"
        fi
        chown portage:portage "${PORTAGE_TMPDIR}"
    fi
)

answer='r'
while [ "${answer}" = 'r' ]
do
    emerge --pretend --jobs=4 --verbose --update --deep --with-bdeps y --tree --reinstall changed-use --color=n --keep-going --complete-graph world
    echo -e "Do update (N/y/r):\c"
    read answer
    case "${answer}" in
        y|Y )
            emerge --jobs=4 --verbose --update --deep --with-bdeps y --tree --reinstall changed-use --color=n --keep-going --complete-graph world
            etc-update
            env-update
            source /etc/profile
           
            python-updater
            perl-cleaner --modules --libperl --phall
#            lafilefixer --justfixit | grep -v 'already clean'

            etc-update
            env-update
            source /etc/profile

            emerge --ask --depclean

            revdep-rebuild -i

            etc-update
            env-update
            source /etc/profile

            prelink --all

            eclean --destructive distfiles
            glsa-check --verbose --test all
            echo -e "Update complete - Press ENTER (or R to re-do):\c"
            read answer
            ;;
    esac
done


python-updater output
Code:
root@lyalls-pc ~
# python-updater --verbose --pretend
 * Starting Python Updater...
 * Main active version of Python:    2.7
 * Active version of Python 2:       2.7
 * Active version of Python 3:       3.2
 * Globally supported Python ABIs in installed repositories:
 *   enlightenment:                  2.4 2.5 2.6 2.7 3.1 3.2 3.3 2.5-jython 2.7-jython 2.7-pypy-1.7 2.7-pypy-1.8 2.7-pypy-1.9 2.7-pypy-2.0
 *   gamerlay:                       2.4 2.5 2.6 2.7 3.1 3.2 3.3 2.5-jython 2.7-jython 2.7-pypy-1.7 2.7-pypy-1.8 2.7-pypy-1.9 2.7-pypy-2.0
 *   gentoo:                         2.4 2.5 2.6 2.7 3.1 3.2 3.3 2.5-jython 2.7-jython 2.7-pypy-1.7 2.7-pypy-1.8 2.7-pypy-1.9 2.7-pypy-2.0
 *   java:                           2.4 2.5 2.6 2.7 3.1 3.2 3.3 2.5-jython 2.7-jython 2.7-pypy-1.7 2.7-pypy-1.8 2.7-pypy-1.9 2.7-pypy-2.0
 *   sunrise:                        2.4 2.5 2.6 2.7 3.1 3.2 3.3 2.5-jython 2.7-jython 2.7-pypy-1.7 2.7-pypy-1.8 2.7-pypy-1.9 2.7-pypy-2.0
 *   x-local:                        2.4 2.5 2.6 2.7 3.1 3.2 3.3 2.5-jython 2.7-jython 2.7-pypy-1.7 2.7-pypy-1.8 2.7-pypy-1.9 2.7-pypy-2.0
 *   zugaina:                        2.4 2.5 2.6 2.7 3.1 3.2 3.3 2.5-jython 2.7-jython 2.7-pypy-1.7 2.7-pypy-1.8 2.7-pypy-1.9 2.7-pypy-2.0
 * Check "manual" enabled.
 * Check "need_rebuild" enabled.
 * Check "pylibdir" enabled.
 * Check "PYTHON_ABIS" enabled.
 * Check "shared_linking" enabled.
 * Check "static_linking" enabled.
 *   Adding to list: dev-java/java-config:2
 *     check: pylibdir [ Installed file under old Python include/library directory ]
 *   Adding to list: dev-python/PyQt4:0
 *     check: pylibdir [ Installed file under old Python include/library directory ]
 *   Adding to list: dev-python/beautifulsoup:4
 *     check: pylibdir [ Installed file under old Python include/library directory ]
 *   Adding to list: dev-python/cherrypy:0
 *     check: pylibdir [ Installed file under old Python include/library directory ]
 *   Adding to list: dev-python/dbus-python:0
 *     check: pylibdir [ Installed file under old Python include/library directory ]
 *   Adding to list: dev-python/lxml:0
 *     check: pylibdir [ Installed file under old Python include/library directory ]
 *   Adding to list: dev-python/markdown:0
 *     check: pylibdir [ Installed file under old Python include/library directory ]
 *   Adding to list: dev-python/numpy:0
 *     check: pylibdir [ Installed file under old Python include/library directory ]
 *   Adding to list: dev-python/pycairo:0
 *     check: pylibdir [ Installed file under old Python include/library directory ]
 *   Adding to list: dev-python/pyopenssl:0
 *     check: pylibdir [ Installed file under old Python include/library directory ]
 *   Adding to list: dev-python/setuptools:0
 *     check: pylibdir [ Installed file under old Python include/library directory ]
 *   Adding to list: dev-python/sip:0/9
 *     check: pylibdir [ Installed file under old Python include/library directory ]
 *   Adding to list: dev-util/gdbus-codegen:0
 *     check: pylibdir [ Installed file under old Python include/library directory ]
 *   Adding to list: kde-base/pykde4:4
 *     check: pylibdir [ Installed file under old Python include/library directory ]
 * emerge -Dv1 --keep-going -p dev-java/java-config:2 dev-python/PyQt4:0 dev-python/beautifulsoup:4 dev-python/cherrypy:0 dev-python/dbus-python:0 dev-python/lxml:0 dev-python/markdown:0 dev-python/numpy:0 dev-python/pycairo:0 dev-python/pyopenssl:0 dev-python/setuptools:0 dev-python/sip:0/9 dev-util/gdbus-codegen:0 kde-base/pykde4:4

These are the packages that would be merged, in order:

Calculating dependencies  ... done!
[ebuild   R    ] dev-python/setuptools-0.6.30-r1  PYTHON_TARGETS="python2_7 python3_2 -python2_5 -python2_6 -python3_1" 0 kB
[ebuild   R    ] dev-python/dbus-python-1.2.0  USE="-doc -examples {-test}" PYTHON_TARGETS="python2_7 python3_2 -python2_6 (-python3_3)" 0 kB
[ebuild   R    ] dev-python/pycairo-1.10.0-r4  USE="svg xcb -doc -examples {-test}" PYTHON_TARGETS="python2_7 python3_2 -python2_6 -python3_1 (-python3_3)" 0 kB
[ebuild   R    ] dev-python/sip-4.14.3:0/9  USE="-debug -doc" PYTHON_TARGETS="python2_7 python3_2 -python2_5 -python2_6 -python3_1 (-python3_3)" 0 kB
[ebuild   R    ] dev-python/beautifulsoup-4.1.3-r1:4  USE="-doc {-test}" PYTHON_TARGETS="python2_7 python3_2 (-pypy2_0) -python2_6 -python3_1 (-python3_3)" 0 kB
[ebuild   R   ~] dev-python/markdown-2.3.1  USE="-doc -pygments {-test}" PYTHON_TARGETS="python2_7 python3_2 -pypy1_9 -pypy2_0 -python2_6 -python3_1 -python3_3" 0 kB
[ebuild   R    ] dev-python/pyopenssl-0.13-r1  USE="-doc" PYTHON_TARGETS="python2_7 python3_2 (-pypy1_9) (-pypy2_0) -python2_5 -python2_6 -python3_1 (-python3_3)" 0 kB
[ebuild   R    ] dev-util/gdbus-codegen-2.32.4  PYTHON_TARGETS="python2_7 python3_2 -python2_5 -python2_6 -python3_1" 0 kB
[ebuild   R    ] dev-python/numpy-1.6.2-r2  USE="-doc -lapack {-test}" PYTHON_TARGETS="python2_7 python3_2 -python2_5 -python2_6 -python3_1" 0 kB
[ebuild   R    ] dev-python/cherrypy-3.2.2-r1  USE="{-test}" PYTHON_TARGETS="python2_7 python3_2 (-pypy1_9) (-pypy2_0) -python2_5 -python2_6 -python3_1" 0 kB
[ebuild   R    ] dev-python/lxml-3.0.1  USE="threads -doc -examples" PYTHON_TARGETS="python2_7 python3_2 -python2_6 -python3_1 (-python3_3)" 0 kB
[ebuild   R    ] dev-java/java-config-2.1.12-r1:2  PYTHON_TARGETS="python2_7 python3_2 -python2_6 -python3_1 (-python3_3)" 0 kB
[ebuild   R    ] dev-python/PyQt4-4.9.6-r2  USE="X dbus declarative kde opengl script sql svg webkit -debug -doc -examples -help -multimedia -phonon -scripttools -xmlpatterns" PYTHON_TARGETS="python2_7 python3_2 -python2_5 -python2_6 -python3_1 (-python3_3)" 0 kB
[ebuild   R    ] kde-base/pykde4-4.10.3:4  USE="semantic-desktop (-aqua) -debug -doc -examples {-test}" PYTHON_TARGETS="python2_7 python3_2 -python2_5 -python2_6 -python3_1 (-python3_3)" 0 kB

Total: 14 packages (14 reinstalls), Size of downloads: 0 kB
root@lyalls-pc ~
#


emerge --info
Code:
root@lyalls-pc ~
# emerge --info
Portage 2.1.12.2 (default/linux/amd64/13.0/desktop, gcc-4.6.3, glibc-2.15-r3, 3.8.13-gentoo x86_64)
=================================================================
System uname: Linux-3.8.13-gentoo-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q9400_@_2.66GHz-with-gentoo-2.2
KiB Mem:     8180216 total,   2126740 free
KiB Swap:    8388600 total,   8381532 free
Timestamp of tree: Sat, 15 Jun 2013 01:15:01 +0000
ld GNU ld (GNU Binutils) 2.22
app-shells/bash:          4.2_p45
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.7.3-r3, 3.2.3-r2
dev-util/cmake:           2.8.10.2-r2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.6
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.5.4, 4.6.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.7 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: sunrise gamerlay zugaina enlightenment java x-local gentoo
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -ggdb -mtune=native -march=native -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /lib/udev/rules.d /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/polkit-1/actions /var/lib/hsqldb /var/lib/sabnzbd/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -ggdb -mtune=native -march=native -pipe"
DISTDIR="/portage/gentoo/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs collision-protect config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.internode.on.net/pub/gentoo ftp://mirror.pacific.net.au/linux/Gentoo http://mymirror.asiaosc.org/gentoo/ http://www.zentek-international.com/mirrors/gentoo/ http://open-systems.ufl.edu/mirrors/gentoo http://www.ibiblio.org/pub/Linux/distributions/gentoo"
LANG="en_AU.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j8"
PKGDIR="/portage/gentoo/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/tmp"
PORTDIR="/portage/gentoo"
PORTDIR_OVERLAY="/portage/local/layman/sunrise /portage/local/layman/gamerlay /portage/local/layman/zugaina /portage/local/layman/enlightenment /portage/local/layman/java /portage/local /portage/gentoo"
SYNC="rsync://mirror.internode.on.net/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 amr apache2 avahi berkdb bluetooth branding bzip2 cairo cdb cdda cddb cdio cdr cleartype cli consolekit corefonts cracklib crypt css cups cxx daap dbus dri dts dvd dvdr emboss encode esd exif ffmpeg firefox flac fortran gd gdbm gdu gif gpm iconv ipod ipv6 java javascript joystick jpeg jpeg2k kde laptop latin1 lcms lm_sensors mad mikmod mmx mmxext mng modules mp3 mp4 mpeg mplayer mudflap multilib mysql ncurses nls nptl nsplugin nvidia ogg opengl openmp oss pam pango pcre pdf perl pmu png policykit posix ppds python qt3support qt4 readline real rss samba sdl semantic-desktop server session smp spell sqlite sse sse2 sse3 ssl svg tcpd threads tiff transcode truetype type1 udev udisks unicode upower usb v4l v4l2 vcd virtuoso vorbis wifi wma wxwidgets x264 xcb xcomposite xine xinerama xml xv xvid xvmc zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgid dav dav_fs dav_lock dbd deflate dir disk_cache dumpio env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" DRACUT_MODULES="dm lvm mdraid" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby19 ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia vesa fbdev" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

root@lyalls-pc ~
#

_________________
...Lyall


Last edited by lyallp on Sun Aug 04, 2013 11:57 pm; edited 1 time in total
Back to top
View user's profile Send private message
lyallp
Veteran
Veteran


Joined: 15 Jul 2004
Posts: 1263
Location: Adelaide/Australia

PostPosted: Wed Jun 19, 2013 4:23 am    Post subject: Reply with quote

Lots of reads, but no suggestions?
_________________
...Lyall
Back to top
View user's profile Send private message
desultory
Administrator
Administrator


Joined: 04 Nov 2005
Posts: 8004

PostPosted: Tue Jul 02, 2013 3:02 am    Post subject: Reply with quote

To a first approximation, you have encountered bugs with regard to python-updater in each of the packages being repeatedly rebuilt, please file bugs as appropriate.
Back to top
View user's profile Send private message
deniss
n00b
n00b


Joined: 06 Jan 2004
Posts: 17

PostPosted: Tue Jul 02, 2013 9:35 pm    Post subject: same issue here... Reply with quote

I have the same sort of issue with python-updater, and I've been running into this sort of circular behavior with python updater for years.

Right now, the following packages are triggering repeated re-builds when running python updater:

Code:

sys-apps/file-5.12-r1  USE="zlib -python -static-libs"
sys-libs/cracklib-2.8.19  USE="nls zlib -build -python -static-libs"
net-analyzer/rrdtool-1.4.7-r1  USE="tcpd -dbi -doc -lua -perl -python -rrdcgi -ruby -tcl"
dev-java/java-config-2.1.12-r1
dev-python/setuptools-0.6.30-r1


Curiously, the first 3 packages listed above, have "-python" USE flags set... So if python support isn't built into them, why are they repeatedly getting pulled in by the python-updater?
Back to top
View user's profile Send private message
defer-
Tux's lil' helper
Tux's lil' helper


Joined: 11 Jun 2007
Posts: 140
Location: Finland

PostPosted: Tue Jul 02, 2013 9:52 pm    Post subject: Reply with quote

AFAIK python-updater and perl-cleaner just work that way. When you call them they always rebuild all matching packages.
_________________
https://github.com/defer-
Back to top
View user's profile Send private message
pirvine
n00b
n00b


Joined: 12 Jul 2013
Posts: 1

PostPosted: Fri Jul 12, 2013 6:08 pm    Post subject: python-updater rebuilds same packages every time Reply with quote

The issue here is this error or problem that python-updater has found

check: pylibdir [ Installed file under old Python include/library directory ]

how do we update the pylibdir for each package with this error. Re-emerging just re-compiles the package and drops it right back into the same dir. Is there a global "insall dir" variable we need to update or is this a package by package fix that needs to be applied?

I see above that desultory suggested filing bugs. Is that the proper process. Again Is this a python-updater issue or an issue with each package
Back to top
View user's profile Send private message
lyallp
Veteran
Veteran


Joined: 15 Jul 2004
Posts: 1263
Location: Adelaide/Australia

PostPosted: Sun Aug 04, 2013 11:57 pm    Post subject: Reply with quote

I just thought I would post an update.

The rebuilding, as described above, appears to have gone away.

I am unsure as to whether it was packages or the python updater, I suspect the latter, as it appeared that the rebuilding just stopped, rather than individual packages dropped off the list.
_________________
...Lyall
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum